# Dionysus

<<< description.md

> Dionysus or Dionysos (pronounced /ˌdaɪ.ɵˈnaɪsəs/; Greek: Διόνυσος or 
> Διώνυσος) is the ancient Greek god of wine, the inspirer of ritual madness 
> and ecstasy, and a major figure of Greek mythology. 
> [Wikipedia: Dionysus (2010/03/15)](http://en.wikipedia.org/wiki/Dionysus)

**Docs** http://tekwiz.github.com/dionysus

**GitHub** http://github.com/tekwiz/dionysus

**Issues** http://github.com/tekwiz/dionysus/issues

**Travis-CI** http://travis-ci.org/tekwiz/dionysus
[![Build Status](https://secure.travis-ci.org/tekwiz/dionysus.png?branch=master)](http://travis-ci.org/tekwiz/dionysus)

**RubyGems** http://rubygems.org/gems/dionysus

## Requirements

* ActiveSupport 3.1 or 3.2

##Installation

    $ gem install dionysus

or add to your Gemfile:

    gem "dionysus"

and 

    $ bundle install

## Usage

Add dionysus to your Gemfile:

    gem "dionysus"

Then, you'll need to require each file/module as you need them.  Dionysus is setup *à la carte* 
since parts are bound to conflict with something you're using at some point.

## Contributing

This project is intended to be a **very** eclectic mix of helpful tools, so please feel free to send pull requests.  That said, make **absolutely sure** your modifications are well tested.  The hodge-podge nature of this project may make it prone to issues, so no code will be pulled-in that is not __fully_tested__.

-----------------------------

    Copyright 2012 Travis D. Warlick, Jr.
    
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
    
       http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
