# Dionysus Changelog

## 2.1.0

*2012 June 28*

* Fixed alias method chaining in {Dionysus::Redcarpet::Includes} extension
* Added {Dionysus::Redcarpet::Plaintext} extension for marking files that should be rendered in `<pre>` tags
* Refactored out redcarpet regex constants to {Dionysus::Redcarpet} module
* Added this Changelog
* Added the Roadmap
* Setup documentation site http://tekwiz.github.com/dionysus

## 2.0.0 *Major Re-release*

*2012 June 27*

* Specified support for only Ruby 1.8.7 and 1.9
* Specified single runtime dependency of ActiveSupport 3.1 or 3.2
* Rereleased with:
  * {Dionysus::Redcarpet::Includes} extension for including other files into markdown files
  * {String}#version_match?
  * {Dionysus::TravisCI::GemfileGenerator} for generating gemfile variations for Travis-CI
  * {Dionysus::ConfigurationCallbacks} module
* Removed for re-implementation:
  * Digest extensions
  * String encoding extensions
  * String security extensions, including PasswordSalt class
* Permanently removed:
  * RDoc markdown and no-markup extensions