# Dionysus Roadmap

## Target: 2.1.x

* Full documentation of current code
* Complete rspecs for current code
* `rake doc:release` to generate and deploy updated documentation
  * integrate with `rake release`

## Target: 2.2

* `rake version` tasks:
  * `rake version:bump:(major,minor,patch)`
  * `rake version:set[number]`
* `rake spec` should run and pass before `rake release`
  * `rake release` should then update documentation site with code coverage
* Add back String encoding helpers
* Add back String sanitization method(s)

## Target 2.3

* Add back String digest helpers

## Target 2.4

* Add back PasswordSalt class
  * Integrate with String digest helpers

## Target 2.5

* Password generation functionality

## Target 2.6

* Password strength testing functionality
  * ActiveModel validations for password strength

## Future/Ongoing

* Edge rails testing (i.e. Rails 4)
* Edge ruby testing (i.e. Ruby 2)