require "spec_helper"
require "dionysus/string/version_match"

describe "String#version_match" do
  subject { "3.2.1" }
  it { should respond_to(:version_match?) }

  context "matches" do
    it { should be_version_match("~> 3") }
    it { should be_version_match("< 4") }
    it { should be_version_match("~> 3.1") }
    it { should be_version_match("~> 3.2.0") }
    it { should be_version_match("~> 3.2.1") }
    it { should be_version_match("= 3.2.1") }
    it { should be_version_match("3.2.1") }
  end
end
