require 'rubygems'
require 'simplecov'
SimpleCov.start do
  add_filter "/lib/dionysus/version.rb"
  add_filter "/spec/"
end

require 'bundler'

require 'simplecov'
SimpleCov.start

Bundler.require :default, :test

Dir[File.expand_path("../support/**/*.rb", __FILE__)].each {|f|  require f}

RSpec.configure do |config|
  config.mock_with :mocha
end
